Subject: I-D Action: draft-mizrahi-tictoc-checksum-trailer-00.txt

From: [email-masked]
Date: Mon, 04 Jul 2011 04:53:21 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : UDP Checksum Trailer in Timing Protocols
	Author(s)       : Tal Mizrahi
	Filename        : draft-mizrahi-tictoc-checksum-trailer-00.txt
	Pages           : 10
	Date            : 2011-07-04

   Various time synchronization and delay measurement protocols are
   transported over UDP, e.g., PTP, NTP, and OWAMP/TWAMP. These
   protocols use timestamped packets that often have to be modified by
   intermediate nodes in the network. In such cases the UDP checksum
   field must be updated to reflect these modifications. The IEEE 1588
   standard suggests to append 2 octets to every protocol message,
   allowing intermediate nodes to reflect the checksum modification in
   the last 2 octets rather than in the UDP checksum field. This
   document generalizes this concept, and defines a UDP Checksum Trailer
   for NTP and for OWAMP/TWAMP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-mizrahi-tictoc-checksum-trailer-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-mizrahi-tictoc-checksum-trailer-00.txt